%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 20;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate futures-cpupool

Name:           rust-futures-cpupool
Version:        0.1.8
Release:    1%{?dist}
Summary:        Implementation of thread pools which hand out futures

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/futures-cpupool
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
An implementation of thread pools which hand out futures to the results
of the computation on the threads themselves.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-deprecated-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-deprecated-devel %{_description}

This package contains library source intended for building other packages which
use the "with-deprecated" feature of the "%{crate}" crate.

%files       -n %{name}+with-deprecated-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.8-1
- initial build
